package com.heyu.api.data.entity.api;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*结果表
* @author quyixiao
* @since 2025-03-12
*/

@Data
@TableName("api_post_code")
public class ApiPostCodeEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.api.ApiPostCodeEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String param1_ = CLASS_NAME + "param1";             // 
    public final static String param2_ = CLASS_NAME + "param2";             // 
    public final static String param3_ = CLASS_NAME + "param3";             // 
    public final static String param4_ = CLASS_NAME + "param4";             // 
    public final static String param5_ = CLASS_NAME + "param5";             // 
    public final static String param6_ = CLASS_NAME + "param6";             // 
    public final static String param7_ = CLASS_NAME + "param7";             // 
    public final static String param8_ = CLASS_NAME + "param8";             // 
    public final static String param9_ = CLASS_NAME + "param9";             // 
    public final static String param10_ = CLASS_NAME + "param10";           // 
    public final static String param11_ = CLASS_NAME + "param11";           // 
    public final static String param12_ = CLASS_NAME + "param12";           // 
    public final static String md5_unique = CLASS_NAME + "md5_unique";      // 
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //
    private String param1;
    //
    private String param2;
    //
    private String param3;
    //
    private String param4;
    //
    private String param5;
    //
    private String param6;
    //
    private String param7;
    //
    private String param8;
    //
    private String param9;
    //
    private String param10;
    //
    private String param11;
    //
    private String param12;
    //
    private String md5Unique;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     *  
     * @return
     */
    public String getParam1() {
        return param1;
    }
    /**
     *  
     * @param param1
     */
    public void setParam1(String param1) {
        this.param1 = param1;
    }

    /**
     *  
     * @return
     */
    public String getParam2() {
        return param2;
    }
    /**
     *  
     * @param param2
     */
    public void setParam2(String param2) {
        this.param2 = param2;
    }

    /**
     *  
     * @return
     */
    public String getParam3() {
        return param3;
    }
    /**
     *  
     * @param param3
     */
    public void setParam3(String param3) {
        this.param3 = param3;
    }

    /**
     *  
     * @return
     */
    public String getParam4() {
        return param4;
    }
    /**
     *  
     * @param param4
     */
    public void setParam4(String param4) {
        this.param4 = param4;
    }

    /**
     *  
     * @return
     */
    public String getParam5() {
        return param5;
    }
    /**
     *  
     * @param param5
     */
    public void setParam5(String param5) {
        this.param5 = param5;
    }

    /**
     *  
     * @return
     */
    public String getParam6() {
        return param6;
    }
    /**
     *  
     * @param param6
     */
    public void setParam6(String param6) {
        this.param6 = param6;
    }

    /**
     *  
     * @return
     */
    public String getParam7() {
        return param7;
    }
    /**
     *  
     * @param param7
     */
    public void setParam7(String param7) {
        this.param7 = param7;
    }

    /**
     *  
     * @return
     */
    public String getParam8() {
        return param8;
    }
    /**
     *  
     * @param param8
     */
    public void setParam8(String param8) {
        this.param8 = param8;
    }

    /**
     *  
     * @return
     */
    public String getParam9() {
        return param9;
    }
    /**
     *  
     * @param param9
     */
    public void setParam9(String param9) {
        this.param9 = param9;
    }

    /**
     *  
     * @return
     */
    public String getParam10() {
        return param10;
    }
    /**
     *  
     * @param param10
     */
    public void setParam10(String param10) {
        this.param10 = param10;
    }

    /**
     *  
     * @return
     */
    public String getParam11() {
        return param11;
    }
    /**
     *  
     * @param param11
     */
    public void setParam11(String param11) {
        this.param11 = param11;
    }

    /**
     *  
     * @return
     */
    public String getParam12() {
        return param12;
    }
    /**
     *  
     * @param param12
     */
    public void setParam12(String param12) {
        this.param12 = param12;
    }

    /**
     *  
     * @return
     */
    public String getMd5Unique() {
        return md5Unique;
    }
    /**
     *  
     * @param md5Unique
     */
    public void setMd5Unique(String md5Unique) {
        this.md5Unique = md5Unique;
    }

    @Override
    public String toString() {
        return "ApiPostCodeEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",param1=" + param1 +
                ",param2=" + param2 +
                ",param3=" + param3 +
                ",param4=" + param4 +
                ",param5=" + param5 +
                ",param6=" + param6 +
                ",param7=" + param7 +
                ",param8=" + param8 +
                ",param9=" + param9 +
                ",param10=" + param10 +
                ",param11=" + param11 +
                ",param12=" + param12 +
                ",md5Unique=" + md5Unique +
                "}";
    }
}